    $.validator.addMethod(
	'text_only',
	function (value) { 
	return /^[a-zA-Z ]*$/.test(value); 
	}, '<br><span style="font-size:12px; color:#FF0000">Please Enter Character only!</span>');
	
	
	$.validator.addMethod(
	'text_number',
	function (value) { 
	return /^[A-Za-z0-9 ]*$/.test(value); 
	},  
	'<br><span style="font-size:12px; color:#FF0000">Please Enter Valid alphanumeric character only!</span>'
	);
	
	$.validator.addMethod(
	'accept_chars',
	function (value) { 
	return /^[A-Za-z0-9-,./ ]*$/.test(value); 
	},  
	'<br><span style="font-size:12px; color:#FF0000">Please Enter Valid alphanumeric character only!</span>'
	);
	
	$.validator.addMethod(
	'accept_charsemail',
	function (value) { 
	return /^[A-Za-z0-9@._]*$/.test(value); 
	},  
	'<br><span style="font-size:12px; color:#FF0000">Please Enter Valid Email Address!</span>'
	);
	
	$.validator.addMethod(
	'accept_date',
	function (value) { 
	return /^[0-9-\/]*$/.test(value); 
	},  
	'<br><span style="font-size:12px; color:#FF0000">Please Enter Valid Date!</span>'
	);

	$.validator.addMethod(
	'allowedsymbol',
	function (value) { 
	return /^[a-zA-Z0-9@()-, ]*$/.test(value); 
	},  
	'<br><span style="font-size:12px; color:#FF0000">symbols are not allowed except @ , - ( )</span>'
	);

	$.validator.addMethod("noEmptySpace", function(value, element)   { //Code used for blank space Validation 
    return (value.indexOf(" ") < 0 || value.trim()!= "") && value != ""; 
    }, "Space not allowed"); 

	
	$.validator.addMethod("noSpace", function(value, element)   { //Code used for blank space Validation 
    return value.indexOf(" ") < 0 && value != ""; 
    }, "Space not allowed"); 
	
	
	$.validator.addMethod(
	'addres_char',
	function (value) { 
	return /^[a-zA-Z0-9-,. ]*$/.test(value); 
	},  
	'symbols are not allowed except  , - .'
	);
	
	
	
	
	
	$.validator.addMethod("nohtml", function(value){
    if(/<\/?[^>]+(>|$)/g.test(value)){
        return false;
    } else {
        return true;
    }
}, "HTML tags are Not allowed.");
	

$.validator.addMethod("validURL", function(value){
    if(/^(http|https):\/\/[^ "]+$/.test(value)){
		return true;

    } else {
		return false;

    }
}, "please enter valid URL");
	

$.validator.addMethod("validSocialURL", function(value){
    if(/^(https?:\/\/)?(www\.)?(linkedin\.com|facebook\.com|instagram\.com)\/.*$/.test(value)){
		return true;

    } else {
		return false;

    }
}, "please enter valid URL");
	


